Bug 13885 - Cataloging search header should include more options
Summary: Cataloging search header should include more options
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13934
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-21 14:54 UTC by Nick Clemens
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13885 - Cataloging search header should include more options (3.32 KB, patch)
2015-03-21 14:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13885 - Cataloging search header should include more options (3.32 KB, patch)
2015-03-30 20:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13885 - Cataloging search header should include more options (3.44 KB, patch)
2015-04-11 10:14 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 13885 - Cataloging search header should include more options (3.45 KB, patch)
2015-04-17 11:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13885 [QA Followup] - Remove tab, remove unnecessary permission check (1.70 KB, patch)
2015-04-17 11:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13885 - Cataloging search header should include more options (3.51 KB, patch)
2015-04-17 11:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13885 [QA Followup] - Remove tab, remove unnecessary permission check (1.77 KB, patch)
2015-04-17 11:33 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2015-03-21 14:54:18 UTC
When cataloging it would be nice to have the option of moving easily to check-in or regular catalog search
Comment 1 Nick Clemens 2015-03-21 14:58:59 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2015-03-29 20:24:58 UTC
Nick I think 'Standard search' Should be Search the Catalog like on all other pages.  I know it can be confusing to have that word in 2 searches, but I think we need to be consistent.
Comment 3 Nick Clemens 2015-03-30 20:19:37 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2015-03-30 21:34:08 UTC
All tabs work - except check in which gives me this error:

Software error:

Can't bless non-reference value at /home/nengard/kohaclone/C4/ItemType.pm line 64.

For help, please send mail to the webmaster (webmaster@koha-vm), giving this error message and the time and date of the error.
Comment 5 Nick Clemens 2015-03-31 18:11:19 UTC
Not my bug causing it, problem is on master (bug 13943) , but can't test until that is cleared
Comment 6 Nicole C. Engard 2015-03-31 19:15:24 UTC
What is the bug number? that one doesn't exist, I was going to add it as a dependency here.

Nicole
Comment 7 Nick Clemens 2015-03-31 19:21:17 UTC
(In reply to Nicole C. Engard from comment #6)
> What is the bug number? that one doesn't exist, I was going to add it as a
> dependency here.
> 
> Nicole

13934, stupid fingers
Comment 8 Frédéric Demians 2015-04-11 10:12:32 UTC
Bug 13934 is in master. It solves check-in error.
Comment 9 Frédéric Demians 2015-04-11 10:14:56 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2015-04-17 11:32:31 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2015-04-17 11:32:39 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2015-04-17 11:32:55 UTC
Created attachment 38039 [details] [review]
[PASSED QA] Bug 13885 - Cataloging search header should include more options

This patch adds the check in and standard catalog search to cataloging-search.inc

To test:
1 - Apply patch
2 - Go to More->Cataloging
3 - Search in each tab (Cataloging search / Check out / Check in / Standard
    search) and ensure that all work as expected

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  - Added search options work properly, and are consistently named.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Kyle M Hall 2015-04-17 11:33:06 UTC
Created attachment 38040 [details] [review]
[PASSED QA] Bug 13885 [QA Followup] - Remove tab, remove unnecessary permission check

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 14 Tomás Cohen Arazi 2015-04-29 18:43:39 UTC
Patches pushed to master.

Thanks Nick!